> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shardcloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all databases for authenticated user



## OpenAPI

````yaml /api-reference/openapi.json get /databases
openapi: 3.0.0
info:
  title: Cloud Website API
  description: API documentation for database and app management endpoints
  version: 1.0.0
servers:
  - url: https://shardcloud.app/api
    description: API base path
security: []
tags:
  - name: Databases
    description: Database management operations
  - name: Apps
    description: Application management operations
paths:
  /databases:
    get:
      tags:
        - Databases
      summary: Get all databases for authenticated user
      responses:
        '200':
          description: List of databases with their info
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatabaseResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - JWTAuth: []
components:
  schemas:
    DatabaseResponse:
      type: object
      properties:
        database:
          $ref: '#/components/schemas/DatabaseService'
        project_info:
          $ref: '#/components/schemas/ProjectInfo'
        replica_status:
          type: array
          items:
            type: string
            enum:
              - not_found
              - pending
              - running
              - stopped
    Error:
      type: object
      properties:
        error:
          type: string
    DatabaseService:
      allOf:
        - $ref: '#/components/schemas/Project'
        - type: object
          properties:
            service_type:
              type: string
              enum:
                - postgres
                - mongo
                - redis
            visualizer:
              type: boolean
            size:
              type: integer
              description: Size in bytes
    ProjectInfo:
      type: object
      properties:
        ram:
          type: array
          items:
            type: number
        vcpu:
          type: array
          items:
            type: number
        storage:
          type: integer
        network_receive:
          type: array
          items:
            type: number
        network_send:
          type: array
          items:
            type: number
    Project:
      type: object
      properties:
        user_id:
          type: string
          format: uuid
        id:
          type: string
          format: uuid
        ram:
          type: integer
        name:
          type: string
        is_app:
          type: boolean
        blocked_until:
          type: string
          format: date-time
          nullable: true
        setup:
          type: boolean
        created_at:
          type: string
          format: date-time
          nullable: true
        last_setup_at:
          type: string
          format: date-time
          nullable: true
        vcpu:
          type: integer
  securitySchemes:
    JWTAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````